## Class TEventParameter

Description

TEventParameter class.

TEventParameter is the base class for all event parameter classes.

- since: 3.0
- version: $Id: TComponent.php 2347 2007-12-20 16:45:12Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /TComponent.php (line 656)

    TComponent
       |
       --TEventParameter

Direct descendents

Class | Description
--- | ---
TPagedListPageChangedEventParameter | TPagedListPageChangedEventParameter class.
TPagedListFetchDataEventParameter | TPagedListFetchDataEventParameter class.
TActiveRecordChangeEventParameter | TActiveRecordChangeEventParameter class
TDataGatewayEventParameter | TDataGatewayEventParameter class contains the TDbCommand to be executed as well as the criteria object.
TDataGatewayResultEventParameter | TDataGatewayResultEventParameter contains the TDbCommand executed and the resulting data returned from the database. The data can be changed by changing the setResult property.
TCallbackEventParameter | TCallbackEventParameter class.
TBroadcastEventParameter | TBroadcastEventParameter class
TCommandEventParameter | TCommandEventParameter class
TBulletedListEventParameter | TBulletedListEventParameter Event parameter for TBulletedList::onClick event of the bulleted list. The getIndex gives the zero-based index of the item that is currently being clicked.
TServerValidateEventParameter | TServerValidateEventParameter class
TDataGridItemEventParameter | TDataGridItemEventParameter class
TDataGridPagerEventParameter | TDataGridPagerEventParameter class
TDataGridSortCommandEventParameter | TDataGridSortCommandEventParameter class
TDataGridPageChangedEventParameter | TDataGridPageChangedEventParameter class
TDataListItemEventParameter | TDataListItemEventParameter class
TImageClickEventParameter | TImageClickEventParameter class
TImageMapEventParameter | TImageMapEventParameter class.
TOutputCacheCheckDependencyEventParameter | TOutputCacheCheckDependencyEventParameter class
TOutputCacheCalculateKeyEventParameter | TOutputCacheCalculateKeyEventParameter class
TPagerPageChangedEventParameter | TPagerPageChangedEventParameter class
TRepeaterItemEventParameter | TRepeaterItemEventParameter class
TWizardNavigationEventParameter | TWizardNavigationEventParameter class.

Methods

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:33:53 -0400 by phpDocumentor 1.3.0RC4